## org.h2.store.fs
Class FileObjectInputStream

    java.lang.Object
      java.io.InputStream
          org.h2.store.fs.FileObjectInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class FileObjectInputStream

extends java.io.InputStream

Allows to read from a file object like an input stream.

Constructor Summary
`FileObjectInputStream(FileObject file)` Create a new file object input stream from the file object.

Method Summary
`void` `close()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileObjectInputStream

    public FileObjectInputStream(FileObject file)

  Create a new file object input stream from the file object.

  Parameters:
    `file` - the file object

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`